<?php 
  include('security.php'); 
  include('lib/header.php'); 
  include('lib/navbar.php'); 
?>
<body class="hold-transition sidebar-mini">
<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">

  <!-- Content Header (Page header) -->
  <div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1 class="m-0 text-dark">Authentification</h1>
          </div><!-- /.col -->
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <h6 class="m-0 font-weight-bold text-primary">
                <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#addadminprofile">
                  Inviter un utilisateur
                </button>
              </h6>
            </ol>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
  </div>
  <!-- /.content-header -->

    <!-- Main content -->
    <section class="content">
      <div class="container-fluid">

<div class="modal fade" id="addadminprofile" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Invité un utilisateur</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <form action="auth-code.php" method="POST">
        <div class="modal-body">
          <div class="form-group">
            <label>Utilisateur</label>
            <input type="text" name="name" class="form-control" placeholder="Nom complet">
          </div>
          <div class="form-group">
            <label>Email</label>
            <input type="email" name="email" class="form-control" placeholder="Adresse e-mail">
          </div>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-dismiss="modal">Annuler</button>
          <button type="submit" name="register_btn" class="btn btn-primary">Inviter</button>
        </div>
      </form>
    </div>
  </div>
</div>

<div class="container-fluid">

<!-- DataTales Example -->
<div class="card shadow mb-4">
  <div class="card-header py-3">
    Liste de vos utilisateurs
  </div>

  <div class="card-body">
<?php
  if(isset($_SESSION['success'])&&$_SESSION['success']!=""){
    echo "<h2 class='bg-primary text-white text-center'>".$_SESSION['success']."</h2>";
    unset($_SESSION['success']);
  }else if(isset($_SESSION['status'])&&$_SESSION['status']!=""){
    echo "<h2 class='bg-danger text-white text-center'>".$_SESSION['status']."</h2>";
    unset($_SESSION['status']);
  }

  $pdo_options[PDO::ATTR_ERRMODE] = PDO::ERRMODE_EXCEPTION;
  $bdd = new PDO("mysql:host=".$db_host.";dbname=".$db_name, $db_username, $db_password, $pdo_options);
  $sql = "SELECT us.* FROM ".$db_auth."user us, ".$db_auth."lic_prf_usr ln, ".$db_auth."licence li WHERE ln.id_user=us.id AND ln.id_licence=li.id AND li.id_owner=".$_SESSION['userid'];

  $response = $bdd->query($sql);
  $output = $response->fetchAll(PDO::FETCH_ASSOC);
  if($response->rowCount()>0){
?>
    <div class="table-responsive">
      <table class="table table-bordered table-striped" id="dataTable" width="100%" cellspacing="0">
        <thead>
          <tr>
            <th width="4%">ID</th>
            <th width="43%">Utilisateur</th>
            <th width="43%">Email</th>
            <th width="4%">Actions</th>
          </tr>
        </thead>
        <tbody>
<?php
    foreach ($output as &$value) {
?>
          <tr>
            <td><?=$value['id']?></td>
            <td><?=$value['name']?></td>
            <td><?=$value['email']?></td>
            <td>
            <table><tr>
              <td style='border:0px;padding:0px;'>
                <form action="auth-code.php" method="post">
                  <input type="hidden" name="id" value="<?=$value['id']?>">
                  <button type="submit" name="del_btn" class="btn btn-danger btn-sm" title="⚠ Suppression ⚠">
                    <i class="nav-icon fas fa-trash"></i>
                  </button>
                </form>
            </tr></table>
            </td>
          </tr>
<?php
    }
  }else{
    echo "Pas de données";
  }
?>

        </tbody>
      </table>

      </div><!-- /.container-fluid -->
    </section>
    <!-- /.content -->

  </div>
  <!-- /.content-wrapper -->
  


<?php 
  include('lib/scripts.php'); 
  include('lib/footer.php'); 
?>

