<?php
  include('security.php'); 
  include('lib/header.php'); 
  include('lib/navbar.php'); 
  
  //Par defaut on efface les donnees
  $titreMessage ="Vidée votre table";
  $message = "Vous êtes sur le point de vidée entièrement votre table et toutes ses données";
  $actionMessage = "Vider";
  $action = "clean";
  
  if(isset($_POST['del_btn'])){
    $titreMessage ="Suppression de votre table";
    $message = "Vous êtes sur le point de supprimer votre table et toutes ses données";
    $actionMessage = "Suppression";
    $action = "del";
  }
?>
<body class="hold-transition sidebar-mini">
<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">

 <!-- Content Header (Page header) -->
  <div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1 class="m-0 text-dark"><?=$titreMessage?></h1>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
  </div>
  <!-- /.content-header -->


  <!-- Main content -->
  <section class="content">
  <!-- Begin Page Content -->
  <div class="container-fluid">

    <div class="card shadow mb-4">
      <div class="card-header py-2">
        Informations importantes
      </div>
      <form action="db-code.php" method="POST">
        <div class="modal-body">
          <div class="text-center">
            <h3 class="text-danger"><b><?=$message?></b></h3><br />
            <h3><i class="fas ion-alert-circled text-warning"></i> Cette opération est irréversible ! <sub>*</sub> <i class="fas ion-alert-circled text-warning"></i> </h3><br />
            <h4>Voulez-vous réellement continuer ?</h4><br /><br />
            * : <b>Libre</b>APPS ne pourra pas être tenu responsable de la perte de vos données.   
          </div>
        </div>
        <div class="modal-footer">
          <a href="db.php" class="btn btn-secondary">Annuler</a>
          <input type="hidden" name="id" value="<?=$_POST['id']?>">
          <button type="submit" name="<?=$action?>_confirmation_btn" class="btn btn-danger"><?=$actionMessage?></button>
        </div>
      </form>
    </div>

  </section>
  <!-- /.content -->

</div>
<!-- /.content-wrapper -->

<?php 
  include('lib/scripts.php'); 
  include('lib/footer.php'); 
?>
