<?php 
  include('security.php'); 
  include('lib/header.php'); 
  include('lib/navbar.php'); 
?>
<body class="hold-transition sidebar-mini">
<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">

  <!-- Content Header (Page header) -->
  <div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1 class="m-0 text-dark">Appareils</h1>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
  </div>
  <!-- /.content-header -->

    <!-- Main content -->
    <section class="content">
      <div class="container-fluid">

<div class="container-fluid">

<!-- DataTales Example -->
<div class="card shadow mb-4">
  <div class="card-header py-3">
    Liste de vos apareils
  </div>

  <div class="card-body">
<?php
  if(isset($_SESSION['success'])&&$_SESSION['success']!=""){
    echo "<h2 class='bg-primary text-white text-center'>".$_SESSION['success']."</h2>";
    unset($_SESSION['success']);
  }else if(isset($_SESSION['status'])&&$_SESSION['status']!=""){
    echo "<h2 class='bg-danger text-white text-center'>".$_SESSION['status']."</h2>";
    unset($_SESSION['status']);
  }

  $pdo_options[PDO::ATTR_ERRMODE] = PDO::ERRMODE_EXCEPTION;
  $bdd = new PDO("mysql:host=".$db_host.";dbname=".$db_name, $db_username, $db_password, $pdo_options);
  $sql = "SELECT * FROM ".$db_auth."device WHERE id_user=".$_SESSION['userid'];

  $response = $bdd->query($sql);
  $output = $response->fetchAll(PDO::FETCH_ASSOC);
  if($response->rowCount()>0){
?>
    <div class="table-responsive">
      <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
        <thead>
          <tr>
            <th width="4%">ID</th>
            <th width="43%">Appareil</th>
            <th width="43%">Utilisateur</th>
            <th width="10%">Actions</th>
          </tr>
        </thead>
        <tbody>  
<?php 
    foreach ($output as &$value) {
      $tabOS = explode(" ",$value['os_name']);
      $icon = strtolower($tabOS[0]);
      if($icon=="linux"||$icon=="windows"||$icon=="android"){
        $icon = "fa-".$icon;
      }else{
        $icon = "fa-laptop";
      }

      $iconStatus = $value['status'];
      if($iconStatus=="WAITING"){
        $iconStatus = "far fa-question-circle text-warning";
        $infoStatus = "En attente...";
      }else if($iconStatus=="VALID"){
        $iconStatus = "fas fa-check text-success";
        $infoStatus = "Validé";
      }if($iconStatus=="BAN"){
        $iconStatus = "fas fa-ban text-danger";
        $infoStatus = "Bloqué";
      }
?>
          <tr>
            <td><?=$value['id']?></td>
            <td><i class="fab <?=$icon?>"></i> <?=$value['device_name']?> <i class="<?=$iconStatus?>" title="<?=$infoStatus?>"></i></td>
            <td><?=$value['user_name']?></td>
            <td>
            <table><tr>
<?php if($value['status']=="VALID"||$value['status']=="BAN"){?>
              <td style='border:0px;padding-top:0px;padding-bottom:0px;'>
                <form action="devices-code.php" method="post">
                  <input type="hidden" name="id" value="<?=$value['id']?>">
                  <button type="submit" name="del_btn" class="btn btn-danger btn-sm">SUPPRIMER</button>
                </form>
<?php }else if($value['status']=="WAITING"){?>
              <td style='border:0px;padding-top:0px;padding-bottom:0px;'>
                <form action="devices-code.php" method="post">
                  <input type="hidden" name="id" value="<?=$value['id']?>">
                  <button type="submit" name="valid_btn" class="btn btn-success btn-sm">VALIDER</button>
                </form>
              <td style='border:0px;padding-top:0px;padding-bottom:0px;'>
                <form action="devices-code.php" method="post">
                  <input type="hidden" name="id" value="<?=$value['id']?>">
                  <button type="submit" name="ban_btn" class="btn btn-danger btn-sm">BLOQUER</button>
                </form>
<?php }?>
            </tr></table>
            </td>
          </tr>
<?php
    }
  }else{
    echo "Pas de données";
  }
?>

        </tbody>
      </table>

      </div><!-- /.container-fluid -->
    </section>
    <!-- /.content -->

  </div>
  <!-- /.content-wrapper -->
  


<?php 
  include('lib/scripts.php'); 
  include('lib/footer.php'); 
?>

