
  <!-- Navbar -->
  <nav class="main-header navbar navbar-expand navbar-white navbar-light">
    <!-- Left navbar links -->
    <ul class="navbar-nav">
      <li class="nav-item">
        <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
      </li>
    </ul>

    <!-- Right navbar links -->
    <ul class="navbar-nav ml-auto">      
      <!-- Notifications Dropdown Menu -->
      <li class="nav-item dropdown">
        <a class="nav-link" data-toggle="dropdown" href="#">
          <?=$_SESSION['username']?> &nbsp; 
          <i class="far fa-user mr-2"></i>          
        </a>
        <div class="dropdown-menu dropdown-menu-right">
          <form action="auth-edit.php" method="POST"> 
            <button type="submit" name="edit_btn" class="dropdown-item"><i class="fas fa-user mr-2"></i>Mon compte</button>
          </form>
          <div class="dropdown-divider"></div>
          <form action="auth-code.php" method="POST"> 
            <button type="submit" name="logout_btn" class="dropdown-item"><i class="fas fa-sign-out-alt mr-2"></i>Se déconnecter</button>
          </form>
        </div>
      </li>
      
    </ul>
  </nav>
  <!-- /.navbar -->


  <!-- Main Sidebar Container -->
  <aside class="main-sidebar sidebar-dark-primary elevation-4">
    <!-- Brand Logo -->
    <a href="index.php" class="brand-link">
      <img src="dist/img/LibreAPPSLogo.png" alt="AdminLTE Logo" class="brand-image img-circle elevation-3"
           style="opacity: .8">
      <span class="brand-text font-weight-light"><b>Libre</b>APPS</span>
    </a>

    <!-- Sidebar -->
    <div class="sidebar">
      <!-- Sidebar Menu -->
      <nav class="mt-2">
        <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
          <!-- Add icons to the links using the .nav-icon class
               with font-awesome or any other icon font library -->
          <li class="nav-item">
            <a href="auth.php" class="nav-link">
              <i class="nav-icon fas fa-users"></i>
              <p>
                Authentification
              </p>
            </a>
          </li>
          <li class="nav-item">
            <a href="devices.php" class="nav-link">
              <i class="nav-icon fas fa-laptop"></i>
              <p>
                Appareils
              </p>
            </a>
          </li>
          <li class="nav-item">
            <a href="db.php" class="nav-link">
              <i class="nav-icon fas fa-database"></i>
              <p>
                Bases de données
              </p>
            </a>
          </li>
          <li class="nav-item">
            <a href="apps.php" class="nav-link">
              <i class="nav-icon fas fa-cube"></i>
              <p>
                Applications
              </p>
            </a>
          </li>
         
        </ul>
      </nav>
      <!-- /.sidebar-menu -->
    </div>
    <!-- /.sidebar -->
  </aside>


