<?php
  include('../config.php'); 
  include('lib/header.php'); 
?>
<script type="text/javascript">
function valider() {
  var nameOk = verifChamp(document.registerForm.name);
  var emailOk = verifChamp(document.registerForm.email);
  var passwordOk = verifChamp(document.registerForm.password);
  var password2Ok = verifChamp(document.registerForm.password2);

  if(nameOk && emailOk && passwordOk && password2Ok) {
    document.registerForm.submit();
  }
  
  function surligne(champ, erreur){
   if(erreur)
      champ.style.backgroundColor = "#fddddd";
   else
      champ.style.backgroundColor = "";
  }

  function verifChamp(champ){
    if(champ.value.length == 0){
      surligne(champ, true);
      return false;
    }else{
      surligne(champ, false);
      return true;
    }
  }
}
</script>
<?php 
  if(isset($_POST['password'])){
    $pdo_options[PDO::ATTR_ERRMODE] = PDO::ERRMODE_EXCEPTION;
    $bdd = new PDO("mysql:host=".$db_host.";dbname=".$db_name, $db_username, $db_password, $pdo_options);
    $name = (isset($_POST['name']))?$_POST['name']:null;
    $email = (isset($_POST['email']))?$_POST['email']:null;
    $password = (isset($_POST['password']))?$_POST['password']:null;
    $password2 = (isset($_POST['password2']))?$_POST['password2']:null;
    
    if($password==$password2){
      if(strlen($password)>=6){
        $sql = "SELECT * FROM ".$db_auth."user WHERE email='".$email."'";
        $response = $bdd->query($sql);
        $output = $response->fetchAll(PDO::FETCH_ASSOC);
        if($response->rowCount()==0){
          $sql = "INSERT INTO ".$db_auth."user (name, email, password) VALUE ('".$name."', '".$email."', '".$password."')";
          $response = $bdd->query($sql);
          $idNewUser = $bdd->lastInsertId();
          
          $sql = "INSERT INTO ".$db_auth."licence (id_application, id_owner, name, capacity, nb_use, status) VALUE (1, ".$idNewUser.
          ", 'MNA-1A-5U-".$idNewUser."', 5, 1, 'VALID')";
          $response = $bdd->query($sql);
          $idNewLicence = $bdd->lastInsertId();
          
          $sql = "INSERT INTO ".$db_auth."lic_prf_usr (id_licence, id_profil, id_user) VALUE (".$idNewLicence.", 1, ".$idNewUser.")";
          $response = $bdd->query($sql);
          if($response){
            //TODO Envoyer email de confirmation
            $_SESSION['username'] = $name;
            $_SESSION['userid'] = $idNewUser;
            header('Location: index.php');
          }else{
            $errorMessage = "Erreur";
          }
        }else{
          $errorMessage = "Utilisateur déjà existant";
        }
      }else{
        $errorMessage = "Mot de passe trop court";
      }
    }else{
      $errorMessage = "Mots de passe ne correspondent pas";
    }   
  }
?>
<body class="hold-transition register-page" style="background-color: #0d2c41;background-image: url(./dist/img/loginBkg-3.jpg); background-repeat: repeat;");">
<div class="register-box">
  <div class="card">
    <div class="card-body register-card-body">
      <div class="login-logo">
        <b>Libre</b>APPS</a>
      </div>
<?php
  if(isset($errorMessage)&&$errorMessage!=""){
    echo "<h4 class='text-danger text-center'>".$errorMessage."</h4><br />";
    unset($errorMessage);
  }
?>
      <form action="register.php" method="post" name="registerForm">
        <div class="input-group mb-3">
          <input type="text" name="name" class="form-control" placeholder="Nom complet" value="<?=isset($name)?$name:""?>">
          <div class="input-group-append">
            <div class="input-group-text">
              <span class="fas fa-user"></span>
            </div>
          </div>
        </div>
        <div class="input-group mb-3">
          <input type="email" name="email" class="form-control" placeholder="Email"  value="<?=isset($email)?$email:""?>">
          <div class="input-group-append">
            <div class="input-group-text">
              <span class="fas fa-envelope"></span>
            </div>
          </div>
        </div>
        <div class="input-group mb-3">
          <input type="password" name="password" class="form-control" placeholder="Mot de passe"  value="<?=isset($password)?$password:""?>">
          <div class="input-group-append">
            <div class="input-group-text">
              <span class="fas fa-lock"></span>
            </div>
          </div>
        </div>
        <div class="input-group mb-3">
          <input type="password" name="password2" class="form-control" placeholder="Vérification du mot de passe"  value="<?=isset($password2)?$password2:""?>">
          <div class="input-group-append">
            <div class="input-group-text">
              <span class="fas fa-lock"></span>
            </div>
          </div>
        </div>
        <div class="row">
          <div class="col-8">
            <!--div class="icheck-primary">
              <input type="checkbox" id="agreeTerms" name="terms" value="agree">
              <label for="agreeTerms">
               Acceptation des <a href="#">CGV</a>
              </label>
            </div-->
          </div>
          <!-- /.col -->
          <div class="col-4">
            <a name="new_btn" class="btn btn-primary btn-block" onclick="valider()" href="#">S'inscrire</a>
          </div>
          <!-- /.col -->
        </div>
      </form><br />
      <div class="text-center">
        <a href="login.php" class="text-center">Retour à la page de connexion</a>
       </div>
    </div>
    <!-- /.form-box -->
  </div><!-- /.card -->
</div>
<!-- /.register-box -->

<?php 
  include('lib/scripts.php'); 
?>

